Package org.apache.sling.servlethelpers

# Class MockSlingJakartaHttpServletResponse

java.lang.Object
org.apache.sling.api.adapter.SlingAdaptable
org.apache.sling.servlethelpers.MockSlingJakartaHttpServletResponse

All Implemented Interfaces:
  `jakarta.servlet.http.HttpServletResponse`, `jakarta.servlet.ServletResponse`, `org.apache.sling.api.adapter.Adaptable`, `org.apache.sling.api.SlingJakartaHttpServletResponse`

@ConsumerType public class MockSlingJakartaHttpServletResponse extends org.apache.sling.api.adapter.SlingAdaptable implements org.apache.sling.api.SlingJakartaHttpServletResponse
Mock `SlingJakartaHttpServletResponse` implementation.

## Field Summary

### Fields inherited from interface jakarta.servlet.http.HttpServletResponse

`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MISDIRECTED_REQUEST, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PERMANENT_REDIRECT, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNPROCESSABLE_CONTENT, SC_UNSUPPORTED_MEDIA_TYPE, SC_UPGRADE_REQUIRED, SC_USE_PROXY`

## Constructor Summary

Constructors
Constructor
Description
`MockSlingJakartaHttpServletResponse()`

## Method Summary

Modifier and Type
Method
Description
`<T> T`
`adaptTo(Class<T> type)`
`void`
`addCookie(jakarta.servlet.http.Cookie cookie)`
`void`
`addDateHeader(String name, long date)`
`void`
`addHeader(String name, String value)`
`void`
`addIntHeader(String name, int value)`
`boolean`
`containsHeader(String name)`
`String`
`encodeRedirectURL(String url)`
`String`
`encodeURL(String url)`
`void`
`flushBuffer()`
`int`
`getBufferSize()`
`String`
`getCharacterEncoding()`
`int`
`getContentLength()`
`String`
`getContentType()`
`jakarta.servlet.http.Cookie`
`getCookie(String name)`
Get cookie
`jakarta.servlet.http.Cookie[]`
`getCookies()`
Get cookies
`String`
`getHeader(String name)`
`Collection<String>`
`getHeaderNames()`
`Collection<String>`
`getHeaders(String name)`
`Locale`
`getLocale()`
`byte[]`
`getOutput()`
`String`
`getOutputAsString()`
`jakarta.servlet.ServletOutputStream`
`getOutputStream()`
`int`
`getStatus()`
`String`
`getStatusMessage()`
`PrintWriter`
`getWriter()`
`boolean`
`isCommitted()`
`void`
`reset()`
`void`
`resetBuffer()`
`void`
`sendError(int sc)`
`void`
`sendError(int sc, String msg)`
`void`
`sendRedirect(String location)`
`void`
`sendRedirect(String location, int sc, boolean clearBuffer)`
`void`
`setBufferSize(int size)`
`void`
`setCharacterEncoding(String charset)`
`void`
`setContentLength(int len)`
`void`
`setContentLengthLong(long len)`
`void`
`setContentType(String type)`
`void`
`setDateHeader(String name, long date)`
`void`
`setHeader(String name, String value)`
`void`
`setIntHeader(String name, int value)`
`void`
`setLocale(Locale loc)`
`void`
`setStatus(int sc)`

### Methods inherited from class org.apache.sling.api.adapter.SlingAdaptable

`setAdapterManager, unsetAdapterManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jakarta.servlet.http.HttpServletResponse

`getTrailerFields, sendRedirect, sendRedirect, setTrailerFields`

### Methods inherited from interface jakarta.servlet.ServletResponse

`setCharacterEncoding`

## Constructor Details

### MockSlingJakartaHttpServletResponse

public MockSlingJakartaHttpServletResponse()

## Method Details

### getContentType

public String getContentType()

Specified by:
  `getContentType` in interface `jakarta.servlet.ServletResponse`

### setContentType

public void setContentType(String type)

Specified by:
  `setContentType` in interface `jakarta.servlet.ServletResponse`

### setCharacterEncoding

public void setCharacterEncoding(String charset)

Specified by:
  `setCharacterEncoding` in interface `jakarta.servlet.ServletResponse`

### getCharacterEncoding

public String getCharacterEncoding()

Specified by:
  `getCharacterEncoding` in interface `jakarta.servlet.ServletResponse`

### setContentLength

public void setContentLength(int len)

Specified by:
  `setContentLength` in interface `jakarta.servlet.ServletResponse`

### getContentLength

public int getContentLength()

### setStatus

public void setStatus(int sc)

Specified by:
  `setStatus` in interface `jakarta.servlet.http.HttpServletResponse`

### getStatus

public int getStatus()

Specified by:
  `getStatus` in interface `jakarta.servlet.http.HttpServletResponse`

### sendError

public void sendError(int sc, String msg)

Specified by:
  `sendError` in interface `jakarta.servlet.http.HttpServletResponse`

### sendError

public void sendError(int sc)

Specified by:
  `sendError` in interface `jakarta.servlet.http.HttpServletResponse`

### sendRedirect

public void sendRedirect(String location)

Specified by:
  `sendRedirect` in interface `jakarta.servlet.http.HttpServletResponse`

### sendRedirect

public void sendRedirect(String location, int sc, boolean clearBuffer) throws IOException

Specified by:
  `sendRedirect` in interface `jakarta.servlet.http.HttpServletResponse`
Throws:
  `IOException`

### addHeader

public void addHeader(String name, String value)

Specified by:
  `addHeader` in interface `jakarta.servlet.http.HttpServletResponse`

### addIntHeader

public void addIntHeader(String name, int value)

Specified by:
  `addIntHeader` in interface `jakarta.servlet.http.HttpServletResponse`

### addDateHeader

public void addDateHeader(String name, long date)

Specified by:
  `addDateHeader` in interface `jakarta.servlet.http.HttpServletResponse`

### setHeader

public void setHeader(String name, String value)

Specified by:
  `setHeader` in interface `jakarta.servlet.http.HttpServletResponse`

### setIntHeader

public void setIntHeader(String name, int value)

Specified by:
  `setIntHeader` in interface `jakarta.servlet.http.HttpServletResponse`

### setDateHeader

public void setDateHeader(String name, long date)

Specified by:
  `setDateHeader` in interface `jakarta.servlet.http.HttpServletResponse`

### containsHeader

public boolean containsHeader(String name)

Specified by:
  `containsHeader` in interface `jakarta.servlet.http.HttpServletResponse`

### getHeader

public String getHeader(String name)

Specified by:
  `getHeader` in interface `jakarta.servlet.http.HttpServletResponse`

### getHeaders

public Collection<String> getHeaders(String name)

Specified by:
  `getHeaders` in interface `jakarta.servlet.http.HttpServletResponse`

### getHeaderNames

public Collection<String> getHeaderNames()

Specified by:
  `getHeaderNames` in interface `jakarta.servlet.http.HttpServletResponse`

### getWriter

public PrintWriter getWriter()

Specified by:
  `getWriter` in interface `jakarta.servlet.ServletResponse`

### getOutputStream

public jakarta.servlet.ServletOutputStream getOutputStream()

Specified by:
  `getOutputStream` in interface `jakarta.servlet.ServletResponse`

### reset

public void reset()

Specified by:
  `reset` in interface `jakarta.servlet.ServletResponse`

### resetBuffer

public void resetBuffer()

Specified by:
  `resetBuffer` in interface `jakarta.servlet.ServletResponse`

### getBufferSize

public int getBufferSize()

Specified by:
  `getBufferSize` in interface `jakarta.servlet.ServletResponse`

### setBufferSize

public void setBufferSize(int size)

Specified by:
  `setBufferSize` in interface `jakarta.servlet.ServletResponse`

### flushBuffer

public void flushBuffer()

Specified by:
  `flushBuffer` in interface `jakarta.servlet.ServletResponse`

### isCommitted

public boolean isCommitted()

Specified by:
  `isCommitted` in interface `jakarta.servlet.ServletResponse`

### getOutput

public byte[] getOutput()

### getOutputAsString

public String getOutputAsString()

### addCookie

public void addCookie(jakarta.servlet.http.Cookie cookie)

Specified by:
  `addCookie` in interface `jakarta.servlet.http.HttpServletResponse`

### getCookie

public jakarta.servlet.http.Cookie getCookie(String name)
Get cookie

Parameters:
  `name` - Cookie name
Returns:
  Cookie or null

### getCookies

public jakarta.servlet.http.Cookie[] getCookies()
Get cookies

Returns:
  Cookies array or null if no cookie defined

### getLocale

public Locale getLocale()

Specified by:
  `getLocale` in interface `jakarta.servlet.ServletResponse`

### setLocale

public void setLocale(Locale loc)

Specified by:
  `setLocale` in interface `jakarta.servlet.ServletResponse`

### getStatusMessage

public String getStatusMessage()

Returns:
  status message that was set using `sendError(int, String)`

### adaptTo

public <T> T adaptTo(Class<T> type)

Specified by:
  `adaptTo` in interface `org.apache.sling.api.adapter.Adaptable`
Overrides:
  `adaptTo` in class `org.apache.sling.api.adapter.SlingAdaptable`

### encodeRedirectURL

public String encodeRedirectURL(String url)

Specified by:
  `encodeRedirectURL` in interface `jakarta.servlet.http.HttpServletResponse`

### encodeURL

public String encodeURL(String url)

Specified by:
  `encodeURL` in interface `jakarta.servlet.http.HttpServletResponse`

### setContentLengthLong

public void setContentLengthLong(long len)

Specified by:
  `setContentLengthLong` in interface `jakarta.servlet.ServletResponse`